#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/install.sh - installation file for espeak services on EIS/FAIR
#
# Copyright (c) 2001-2019  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2007-09-20  jed
# Last Update:  $Id: install.sh 63125 2019-02-12 14:06:55Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib
. /var/install/include/jedlib

module_name='espeak'

mbrola_dir=/usr/share/espeak-data/mbrola

# update shared library file
update_jedlib ${module_name}

myecho --pack ${module_name} --info "running install.sh ..."

# menu
myecho --pack ${module_name} "adding ${module_name} module menu  ..."
/var/install/bin/add-menu --menu "setup.services.menu" \
    "setup.services.${module_name}.menu" "eSpeak"

# extract espeak-data software
if [ ! -d /usr/share ]
then
    mkdir -p /usr/share
fi

if [ -f /tmp/espeak-data.tgz ]
then
    # v1.1.1 - prevent extraction error due to an existing directory
    rm -rf /usr/share/espeak-data/voices/en

    tar xzf /tmp/espeak-data.tgz -C "/usr/share" --overwrite
    rm -f /tmp/espeak-data.tgz
fi

myecho --pack ${module_name} --force-output ""
myecho --pack ${module_name} --force-output --warn "Due to a non-GPL license MBROLA voice files are not include in this"
myecho --pack ${module_name} --force-output --warn "package. If you want to use MBROLA voice files with the espeak program"
myecho --pack ${module_name} --force-output --warn "you need to install them manually by using the 'Download and install"
myecho --pack ${module_name} --force-output --warn "MBROLA files' function."
myecho --pack ${module_name} --force-output ""
sleep 3

rm -f /var/run/${module_name}.update

exit 0
